package network.protocol.packets;

import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class StartGamePacket extends Packet {

	static private final long serialVersionUID = Packets.StartGame.ordinal();

	private final String serializedSudoku;

	public StartGamePacket(String serializedSudoku) {
		this.serializedSudoku = serializedSudoku;
	}

	public String getSerializedSudoku() {
		return serializedSudoku;
	}

	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}

}
